Portfolio Manager/Payment History V1
Download payment history by date
GET
/external /secure /api /v1 /portfolio /download /owned /payment-history /{assetType} /{reportDate}Request
Path parameters
assetTypestringRequiredreportDatestring<date>RequiredCutoff date of requested payment history
Query parameters
ownsPaymentsbooleanOnly show payments received during ownership of loan
Headers
apikeystringProvided key used to access the application's api
Responses
200CSV of payments for owned loans by asset type and report date
Returns the file as text/plain.
Response
Returns the file itself (text/plain).
GET
/external /secure /api /v1 /portfolio /download /owned /payment-history /{assetType} /{reportDate}Response
Returns the file itself (text/plain).